haskell-eigen
=============

This module provides Haskell binding for Eigen C++ library.
Eigen is a C++ template library for linear algebra: matrices, vectors, numerical solvers, and related algorithms.
Eigen home page is <http://eigen.tuxfamily.org/>.

Eigen is licensed under the MPL2, which is a simple weak copyleft license. Common questions about the MPL2 are answered in the official [MPL2 FAQ].

Note that currently, a few features in Eigen rely on third-party code licensed under the LGPL: SimplicialCholesky, AMD ordering, and constrained\_cg. Such features are explicitly disabled by compiling Eigen with the EIGEN\_MPL2\_ONLY preprocessor symbol defined.

Virtually any software may use Eigen. For example, closed-source software may use Eigen without having to disclose its own source code. Many proprietary and closed-source software projects are using Eigen right now, as well as many BSD-licensed projects.

Note that **ghci** may file with *"unknown symbol ___dso_handle"* error due to dynamic linking with C++ runtime. Consider to use **ghc --make** instead. Please let me know if you know any workaround for this issue.

Some parts of documentation strings are based or replicate original Eigen documentation which is available at <http://eigen.tuxfamily.org/dox/>.

[MPL2 FAQ]: http://www.mozilla.org/MPL/2.0/FAQ.html
